1. Leads
  • Overview
  • Endpoints
    • Companies
      • All companies
      • Get a company
      • Create company
      • Create payment
    • Pricing
      • Get pricing packages
    • Countries
      • All countries
      • Get a country
    • Forms
      • Get a form
    • Leads
      • All leads
        GET
      • Get a lead
        GET
      • Update status
        PATCH
    • Profile
      • Get profile
      • Update profile
    • Wallet
      • Get wallet balance
      • Create topup request
    • Support
      • All tickets
      • Get a ticket
      • Create a ticket
    • Notifications
      • All notifications
      • Mark as read
      • Pusher auth
    • Renewals
      • Search companies for renewal
      • Get dynamic form config for a jurisdiction
      • List renewal requests
      • Request a quote revision
      • Approve quote and confirm wallet payment
      • Initiate quote payment — send OTP
      • Get a renewal by ID
      • Submit a renewal request
    • Files
      • Get a one-time download URL for any file owned by the agent
    • Immigration
      • List immigration objectives
      • Submit an assessment and get matching programmes
      • Get application pre-fill
      • Create an application (draft or submitted)
      • List applications
      • Get an application
      • Update a draft (save again or submit)
      • Delete a draft
  • Schemas
    • QuoteConfig
    • CreatePaymentSuccessResponse
    • SuccessEnvelope
    • StandardSuccess
    • ErrorEnvelope
    • ErrorResponse
    • FieldValidation
    • DirectApplication
    • YesNo
    • FileAttachment
    • Company
    • QuoteBreakdown
    • Field
    • Objective
    • Quote
    • Section
    • AssessmentRequest
    • RenewalFormConfigBody
    • ProcessingStep
    • ProgrammeSummary
    • CreateCompanyRequest
    • ProgrammeMatch
    • RenewalFormConfig
    • CompletedDetails
    • ExternalCompany
    • ApplicationPrefill
    • Renewal
    • Applicant
    • FormConfigField
    • ApplicantFields
    • FormConfigSection
    • FamilyMember
    • FamilyMemberFields
    • FormConfig
    • Funds
    • DocumentMeta
    • Declarations
    • StoredDeclarations
    • ApplicationRequest
    • ApplicationStatus
    • Application
    • ApplicationDetail
    • CountryRef
    • CountryName
    • ApplicationListItem
  1. Leads

All leads

Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
GET
https://demoapi.base93.com/api/v1/user/external/agent/
leads

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/leads' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-10-28 10:04:20
Previous
Get a form
Next
Get a lead
Built with